/* Base */
*, *::before, *::after { box-sizing: border-box; }

html, body {
    font-family: 'Inter', ui-sans-serif, system-ui, sans-serif;
    font-size: 14px;
}

a { color: #5D87FF; }
a:hover { color: #4570EA; }

/* Blazor form validation */
.valid.modified:not([type=checkbox]) { outline: 1px solid #13DEB9; }
.invalid                              { outline: 1px solid #FA896B; }
.validation-message                   { color: #FA896B; font-size: 0.8125rem; margin-top: 0.25rem; }

/* Blazor error boundary */
.blazor-error-boundary {
    background: #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}
.blazor-error-boundary::after { content: "An error has occurred."; }

/* Reconnect modal */
components-reconnect-modal { display: none; }
